@font-face {
  font-family: 'titre';
  src: url('../fonts/Elustopie3.ttf') format('woff2'),
    url('../fonts/Elustopie3.ttf') format('opentype');
  font-weight: normal;
  font-style: normal;
}

body {
  background-color: #DDCBB2 !important; 
}

h1 {
  font-family: "titre", sans-serif;
  font-size: 60px !important;
}

.h1-grand {
  font-size: 8vw !important;

}

h2 {
  font-family: "titre", sans-serif;
  font-size: 50px !important;
}

h3 {
  font-family: "titre", sans-serif;
  font-size: 40px !important;
}

h5 {
  font-family: "poppins", sans-serif;

}

.equipe {
  text-decoration: none !important;
  color: inherit !important;
}

p {
  font-family: "poppins", sans-serif;
  font-weight: 300;
  font-size: normal !important;
}

.text-justify {
  text-align: justify !important;
}

.body_accueil {
  background-color: #DDCBB2 !important;
  /*background-image: url('../images/accueil/background.gif') !important;*/
  background-size: cover !important;
  background-position: center !important;
  background-repeat: no-repeat !important;
}

.img-accueil {
  width: 100%;
  aspect-ratio: 1 / 1;
  object-fit: cover;
}

.text-accueil {
  font-size: 60px !important;
}

.img-info {
  width: 100%;
  aspect-ratio: 1 / 1;
  object-fit: cover;
  mask-image: url('../images/accueil/contour.png');
  mask-size: cover;
  mask-repeat: no-repeat;
  mask-position: center;
}

.img-admin {
  width: 100%;
  aspect-ratio: 1 / 1;
  object-fit: cover;
  border-radius: 7%;
}

.image-container {
  position: relative;
}

/* Nouvelle structure */
.image {
  background-size: cover;
  background-position: center;
  width: 100%;
  aspect-ratio: 1 / 1;
  position: relative;
}

.masque {
  width: 100%;
  height: 100%;
  object-fit: cover;

  mask-image: url('../images/accueil/contour.png');
  mask-size: cover;
  mask-repeat: no-repeat;
  mask-position: center;
}

/* Hover texte */
.text-overlay {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  color: white;
  opacity: 0;
  justify-content: center;
  align-items: center;
  padding: 30px;
  background-image: radial-gradient(circle, rgba(0, 0, 0, 0.2) 0%, rgba(0, 0, 0, 0) 70%);
  transition: opacity 0.3s ease;
  display: flex;
}

.image-container:hover .text-overlay {
  opacity: 1;
}

@media (max-width: 768px) {
  .text-overlay {
opacity: 1;
  }
}

/* Burger bouton menu */
.burger-accueil {
  width: 65px;
  height: 65px;
  background-image: radial-gradient(circle, rgba(34, 34, 34, 0.8) 0%, rgba(0, 0, 0, 0) 70%);
  border-radius: 50%;
}

.navbar-toggler {
  border: none !important;
  background: transparent !important;
  box-shadow: none !important;
}

/* page création */

.bandeau {
  background-size: cover;
  background-position: center;
  width: 100%;
  height: 28vw;
  object-fit: cover;

}

/*page création amateurs*/



/*page administration*/

.bouton-admin {
  width: 50px;
  height: 50px;
}






.ratio-1x1 {
  --bs-aspect-ratio: 100%;
}

.ratio-4x3 {
  --bs-aspect-ratio: 75%;
}

.ratio-3x4 {
  --bs-aspect-ratio: 133.333%;
}

.ratio-2x3 {
  --bs-aspect-ratio: 66.666666%;
}

.ratio-16x9 {
  --bs-aspect-ratio: 56.25%;
}

.ratio-9x16 {
  --bs-aspect-ratio: 177.777777%;
}

.ratio-21x9 {
  --bs-aspect-ratio: 42.857142%;
}




/*page infos*/

.images-droites {
  position: relative;
}

.img-grand {
  width: 100%;
  aspect-ratio: 10 / 16;
  object-fit: cover;
  display: block;
  filter: saturate(0);
}

.img-petit {
  width: 60%;
  aspect-ratio: 3 / 4;
  object-fit: cover;
  position: absolute;
  bottom: 40px;
  /* décalage vers le bas */
  left: -15%;
}

@media (max-width: 992px) {
  .images-droites {
    position: relative;
    right: -8.5%;
  }
}

.citation {
  font-size: 17px !important;
}

.card-body-overlay {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    width: 100%;
    padding: 3rem 0.5rem;
    color: white;
    background: rgba(0, 0, 0, 0.6);
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    text-align: center;
    opacity: 0;
    transition: opacity 0.3s ease;
}


.card:hover .card-body-overlay {
    opacity: 1;
}

/* Toujours visible sur téléphone */
@media (max-width: 768px) {
    .card-body-overlay {
        opacity: 1 !important;
        position: relative;
        background: none;
        color: white;
        background: linear-gradient(to top, rgba(0, 0, 0, 0.3), transparent);
    }
}

.don {
  width: 120px;
  height: auto;
}